# 公开课程

**1. 使用DCI技术调试Hyper-V**
视频链接：https://www.bilibili.com/video/BV1KA4y1o76n?share_source=copy_web&vd_source=04400adab765ed9b3c6e336ef115318e

**2. Windows10探微-安全内核和IUM**
视频链接：https://learn.microsoft.com/zh-cn/events/ignite-microsoft-ignite-china-2016/win-b301
讲义下载链接：https://gedu.oss-cn-beijing.aliyuncs.com/VT/W10_Raymond_IUM.pdf

**3. Debugging KVM using Intel DCI Technology**
视频链接：https://youtu.be/9Ur8YLQcCTw
讲义下载链接：https://gedu.oss-cn-beijing.aliyuncs.com/VT/KVM-Forum-2020-DBG-DCI-Raymond.pdf

# 盛格熟课程

## 《在调试器下理解虚拟化技术》

虚拟化技术有着悠久的历史，在操作系统、计算机安全、软件测试、芯片研发等领域有着极其广泛的应用，它也是支撑云计算的三大关键技术之一。但正像这个技术的名字一样，很多人对虚拟化技术的理解也很虚幻，如同雾里看花一样，没有落到实处。本讲座使用新颖的调试方法，使用Intel DCI、WinDBG和Nano Code等调试技术将骄横的-1层老大中断在调试器中，在调试器中解析虚拟化技术的关键细节，包括进入VT模式、VM Entry和Exit、向VM注入中断和异常、基于扩展页表的内存管理、虚拟设备的多种方法、设备直通等等。我们解析的虚拟化系统既有开源的KVM，也有闭源的微软Hyper-V。

培训长度：九讲（每讲大约2小时）

培训对象：安全研究员、架构师、程序员、云运维工程师、测试人员。

课程介绍：https://mp.weixin.qq.com/s/nxJBUXGy1jyDObkmI4HX0Q

## 观看视频的方式
**1. Nano Code**
下载链接：https://www.nanocode.cn/#/download
**注：《在调试器下理解虚拟化技术》在Nano视频分区下**
![](https://www.nanocode.cn/wiki/uploads/vt_resources/images/m_18b26aab201265d2dcc7002aa05230a9_r.png)
**2. 微信盛格塾**
**注：在微信内搜索“盛格塾”小程序进行观看**
![](https://www.nanocode.cn/wiki/uploads/vt_resources/images/m_4b9032cd0589e58ab16f6266522199c9_r.png)